import processing.core.*; import processing.phone.*; public class ZoGame0l_animated_step1 extends PMIDlet{/*  29 November 2007. UIAV Venice mobile services workshop. 
 By Nicholas Zambetti
 Version of ZoGame0l that builds the menu from many images
 */

/*******************************************************************************************
 * Z\u00f3Game Graphics Section
 * This section of the program is for the graphics.
 * You can think of it as the section for code that provides feedback to the user (behaviors)
 *******************************************************************************************/

/////////////////////////////////////////////////////////////////////////////////////////////
// Names Of Graphics & How Load Them
/////////////////////////////////////////////////////////////////////////////////////////////

// named references to graphics
PImage menuBackground;
PImage menuIconFocus;
PImage menuIconGioca;
PImage menuIconAgenda;
PImage menuIconProfilo;
PImage menuIconClassifica;

// function to load all the images for the interface
public void loadImages()
{
  menuBackground = loadImage("menuBackground.png");
  menuIconFocus = loadImage("menuIconFocus.png");
  menuIconGioca = loadImage("menuIconGioca.png");
  menuIconAgenda = loadImage("menuIconAgenda.png");
  menuIconProfilo = loadImage("menuIconProfilo.png");
  menuIconClassifica = loadImage("menuIconClassifica.png");
}

/////////////////////////////////////////////////////////////////////////////////////////////
// Screen Drawing Functions
/////////////////////////////////////////////////////////////////////////////////////////////

// function to draw the menu with specified focus
public void drawMenu(int focus)
{
  // draw background
  image(menuBackground, 0, 0);       // draw background image for the menu area below the top bar

  // draw focus highlight for the icon in focus (often, the focus is drawn later on)
  if(focus == MENUFOCUS_GIOCA){      // if we are focused on "gioca"...
    image(menuIconFocus, 12, 29);    // place the focus highlight at the top left icon area
  }
  if(focus == MENUFOCUS_AGENDA){     // if we are focused on "agenda"...
    image(menuIconFocus, 12, 107);   // place the focus highlight at the bottom left icon area
  }
  if(focus == MENUFOCUS_CLASSIFICA){ // if we are focused on "classifica"...
    image(menuIconFocus, 92, 29);    // place the focus highlight at the top right icon area
  }
  if(focus == MENUFOCUS_PROFILO){    // if we are focused on "profilo"...
    image(menuIconFocus, 92, 107);   // place the focus highlight at the bottom right icon area
  }

  // draw main content, icons
  image(menuIconGioca, 15, 32);      // draw the "gioca" icon in the top left icon area
  image(menuIconAgenda, 15, 110);    // draw the "agenda" icon in the bottom left icon area
  image(menuIconClassifica, 95, 32); // draw the "classifica" icon in the top right icon area
  image(menuIconProfilo, 95, 110);   // draw the "profilo" icon in the bottom right icon area
}

/*******************************************************************************************
 * Z\u00f3Game Logic Section
 * This section of the program is for the logic; how we decide what graphics to show.
 * You can think of it as the section for code that captures and interprets user input (actions)
 *******************************************************************************************/

/////////////////////////////////////////////////////////////////////////////////////////////
// Setup, Executes Once When Started, Prepares Program to Run (Logic Initialization)
/////////////////////////////////////////////////////////////////////////////////////////////

 // import phone library to go fullscreen
Phone myPhone;             // named reference to phone instance

public void setup() // happens only once, when the program starts...
{
  // go fullscreen
  myPhone = new Phone(this); // create new phone instance/controller
  myPhone.fullscreen();      // tell phone to go fullscreen

    loadImages(); // load images
}

/////////////////////////////////////////////////////////////////////////////////////////////
// Mode, Focus & Option Names (Constants)
/////////////////////////////////////////////////////////////////////////////////////////////

// names for each possible focus option of the main menu
int MENUFOCUS_GIOCA = 0;
int MENUFOCUS_AGENDA = 1;
int MENUFOCUS_PROFILO = 2;
int MENUFOCUS_CLASSIFICA = 3;

/////////////////////////////////////////////////////////////////////////////////////////////
// State, Information Collected From Use (Variables)
/////////////////////////////////////////////////////////////////////////////////////////////

// main menu information
int menuFocus = MENUFOCUS_GIOCA; // initially, the main menu focus is on the first item "Gioca"

/////////////////////////////////////////////////////////////////////////////////////////////
// Draw, Executes Forever, Provides User Feedback (Logic Repetition)
/////////////////////////////////////////////////////////////////////////////////////////////

public void draw() // happens repeatedly (according to framerate)...
{
  drawMenu(menuFocus); // draw image for menu with a variable focus
}

/////////////////////////////////////////////////////////////////////////////////////////////
// Keypad Event (User Input Capture & Interpretation)
/////////////////////////////////////////////////////////////////////////////////////////////

public void keyReleased() // whenever a key is pressed...
{
  if(menuFocus == MENUFOCUS_GIOCA)  // if the menu is focused on "Gioca"...
  {
    if(keyCode == DOWN){            // if the user pressed down...
      menuFocus = MENUFOCUS_AGENDA; // put the menu focus on "Agenda"
    }
  } else if(menuFocus == MENUFOCUS_AGENDA)  // if the menu is focused on "Agenda"...
  {
    if(keyCode == UP){                      // if the user pressed up...
      menuFocus = MENUFOCUS_GIOCA;          // put the menu focus on "Gioca"
    }
  }
}
}